blob: c2480e3222f00397c631bc5612f5af054590a299 (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
|
--- ./scripts/xdg-open.orig 2011-01-01 04:03:14.000000000 -0600
+++ ./scripts/xdg-open 2013-06-09 21:15:55.612892954 -0500
@@ -308,6 +308,7 @@
elif `dbus-send --print-reply --dest=org.freedesktop.DBus /org/freedesktop/DBus org.freedesktop.DBus.GetNameOwner string:org.gnome.SessionManager > /dev/null 2>&1` ; then DE=gnome;
elif xprop -root _DT_SAVE_MODE 2> /dev/null | grep ' = \"xfce4\"$' >/dev/null 2>&1; then DE=xfce;
elif [ x"$DESKTOP_SESSION" == x"LXDE" ]; then DE=lxde;
+ elif [ x"$DESKTOP_SESSION" == x"mate" ]; then DE=mate;
else DE=""
fi
}
@@ -371,6 +372,21 @@
fi
}
+open_mate()
+{
+ if gvfs-open --help 2>/dev/null 1>&2; then
+ gvfs-open "$1"
+ else
+ mate-open "$1"
+ fi
+
+ if [ $? -eq 0 ]; then
+ exit_success
+ else
+ exit_failure_operation_failed
+ fi
+}
+
open_xfce()
{
exo-open "$1"
@@ -539,6 +555,10 @@
open_gnome "$url"
;;
+ mate)
+ open_mate "$url"
+ ;;
+
xfce)
open_xfce "$url"
;;
|